using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System.IO;
using System.Xml.Serialization;
using System.ComponentModel.DataAnnotations.Schema;

using Model.Entities.Base;
using Model.Entities.Users;

namespace Model.Entities.Files.FS_Entities
{
    
    public class SRootDirectory : SDirectory
    {
        /// <summary>
        /// Укащывается путь к папке
        /// </summary>
        public string _PhysicalPath { set; get; }


        public override string PhysicalPath => _PhysicalPath;
        public override string LogicPath => Path.Combine("\\", Name);
        public override List<FS_Item> LogicPath2 => new List<FS_Item>() { this };           



        [Obsolete("")]
        public SRootDirectory() { }

        public SRootDirectory(string Path, string Name) : base(Enum_BaseDirectoryEntity.RootDirectory, null, Name)
        {
            this._PhysicalPath = Path;
        }

    }
}
